Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000819Frama-CPlug-in > value analysispublic2011-05-11 13:452014-02-12 16:59
Reporterpascal 
Assigned Topascal 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000819: wrong interpretation when a bit-field receives the result of a function (csmith)
Descriptionstruct S { int b:31; } s;

int f(void)
{
  return -1;
}

main(){
  s.b = f();
  Frama_C_dump_each();
}

[value] DUMPING STATE of file bitfield_receives_result.c line 10
        s.b# ? {-1} misaligned 0%32
         .[bits 31 to 31] ? {0}
        =END OF DUMP==
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004792)
pascal (reporter)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-05-11 13:45 pascal New Issue
2011-05-11 13:45 pascal Status new => assigned
2011-05-11 13:45 pascal Assigned To => pascal
2011-05-11 14:07 svn Checkin
2011-05-11 14:07 svn Status assigned => resolved
2011-05-11 14:07 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 pascal Note Added: 0004792
2014-02-12 16:59 pascal Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker